> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/cibuild.md).

# CI Build

## Description

Metrics relating to individual build runs as imported from a CI Build tool (e.g. GitHub Actions, CircleCI).

## Measures

| Name                         | Title                | Description                                                         |
| ---------------------------- | -------------------- | ------------------------------------------------------------------- |
| `CiBuild.totalDuration`      | Total Duration       | The total duration time across build runs, in seconds.              |
| `CiBuild.avgDuration`        | Avg Duration         | The average duration across build runs, in seconds.                 |
| `CiBuild.medianDuration`     | Median Duration      | The median duration across build runs, in seconds.                  |
| `CiBuild.p90Duration`        | P90 Duration         | The 90th percentile of duration values, in seconds.                 |
| `CiBuild.minStartedAt`       | Min Started at       | The earliest UNIX timestamp that a CI build started.                |
| `CiBuild.count`              | Count                | A count of CI build records.                                        |
| `CiBuild.totalRecoveryTime`  | Total Recovery Time  | Total recovery time across CI builds, in seconds.                   |
| `CiBuild.avgRecoveryTime`    | Avg Recovery Time    | Average recovery time across CI builds, in seconds.                 |
| `CiBuild.medianRecoveryTime` | Median Recovery Time | Median recovery time across CI builds, in seconds.                  |
| `CiBuild.p90RecoveryTime`    | P90 Recovery Time    | The 90th percentile of recovery times across CI builds, in seconds. |

## Dimensions

| Name                   | Title         | Description                                                             |
| ---------------------- | ------------- | ----------------------------------------------------------------------- |
| `CiBuild.timeInterval` | Created Time  | The timestamp of when the CI Build was started.                         |
| `CiBuild.id`           | Id            |                                                                         |
| `CiBuild.key`          | Key           | Key or external reference for this CI build.                            |
| `CiBuild.origin`       | Origin        | The source system this CI build comes from, e.g., 'GitHub' or 'GitLab'. |
| `CiBuild.name`         | Name          | Name of this CI build.                                                  |
| `CiBuild.status`       | Status        | Status of this CI build, e.g., 'Running' or 'Completed'.                |
| `CiBuild.conclusion`   | Conclusion    | The result of this CI build, e.g., 'Success' or 'Failed'.               |
| `CiBuild.duration`     | Duration      | The time the CI build took to run, in seconds.                          |
| `CiBuild.startedAt`    | Started at    | UNIX timestamp of when this CI build started.                           |
| `CiBuild.recoveryTime` | Recovery Time | Time taken for this CI build to recover after a failure, in seconds.    |

## Connected Cubes

All fields belonging to the following cubes are also reachable from CiBuild:

* [CI Build](/advanced/datastudio-data-model/models/cibuild.md)
* [CI Build Stage](/advanced/datastudio-data-model/models/cibuildstage.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Pull Request](/advanced/datastudio-data-model/models/pullrequestdetail.md)
* [Pull Request Jira Issue](/advanced/datastudio-data-model/models/pullrequestjiraissue.md)
* [Pull Request Event](/advanced/datastudio-data-model/models/pullrequestevent.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/cibuild.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
